# GDPR Module for Magento 2

[![Latest Stable Version](https://img.shields.io/packagist/v/opengento/module-gdpr.svg?style=flat-square)](https://packagist.org/packages/opengento/module-gdpr)
[![License: MIT](https://img.shields.io/github/license/opengento/magento2-gdpr.svg?style=flat-square)](./LICENSE)

[![Packagist](https://img.shields.io/packagist/dt/opengento/module-gdpr.svg?style=flat-square)](https://packagist.org/packages/opengento/module-gdpr)
[![Packagist](https://img.shields.io/packagist/dm/opengento/module-gdpr.svg?style=flat-square)](https://packagist.org/packages/opengento/module-gdpr)

[![GitHub forks](https://img.shields.io/github/forks/opengento/magento2-gdpr.svg?style=social)](https://github.com/opengento/magento2-gdpr/network/members)
[![GitHub stars](https://img.shields.io/github/stars/opengento/magento2-gdpr.svg?style=social)](https://github.com/opengento/magento2-gdpr/stargazers)
[![GitHub watchers](https://img.shields.io/github/watchers/opengento/magento2-gdpr.svg?style=social)](https://github.com/opengento/magento2-gdpr/watchers)

___

This module aims to set Magento 2 GDPR ready and compliant.  
It allows the customers to delete, and/or anonymize, and/or export their personal data.

 - [GDPR Compliance Scope](#gdpr-compliance-scope)
 - [Setup](/magento2-gdpr/setup)
 - [User Guide](/magento2-gdpr/user-guide)
 - [Developer Guide](/magento2-gdpr/developer-guide)
 - [Community](#community)
   - [Authors & Contributors](#authors-&-contributors)
   - [Similar Magento 2 GDPR Module](#similar-magento-2-gdpr-module)
 - [Support](#support)

## GDPR Compliance Scope

* **[Art. 17 GDPR](https://gdpr-info.eu/art-17-gdpr/)**
  * Account deletion and anonymization can be done in 'My Account > Privacy Settings'.
  * Customers can use their 'right to be forgotten'. The password is required to ensure the customer legibility.
    The account will be erased within 1 hour, or as specified in configuration.
    The customer can undo the action in this time span.
* **[Art. 20 GDPR](https://gdpr-info.eu/art-20-gdpr/)**
  * Personal data export can be done in 'My Account > Privacy Settings'.
  * Customers can export their data in `.zip` archive containing file, `.html` (many others are available),
    with personal data.
* Cookie Policy in a disclosure popup are shown at the first time customer visit.

## Community

This module could not exists without you (and the GDPR law).

### Authors & Contributors

- **Opengento Community** - *Lead* - [![Twitter Follow](https://img.shields.io/twitter/follow/opengento.svg?style=social)](https://twitter.com/opengento)
- **Thomas Klein** - *Maintainer* - [![GitHub followers](https://img.shields.io/github/followers/thomas-kl1.svg?style=social)](https://github.com/thomas-kl1)
- **Contributors** - *Contributor* - [![GitHub contributors](https://img.shields.io/github/contributors/opengento/magento2-gdpr.svg?style=flat-square)](https://github.com/opengento/magento2-gdpr/graphs/contributors)

### Similar Magento 2 GDPR Module

- https://github.com/AdFabConnect/magento2gdpr
- https://github.com/mageplaza/magento-2-gdpr
- https://github.com/staempfli/magento2-module-gdpr
- https://github.com/flurrybox/enhanced-privacy

## Support

[![GitHub issues](https://img.shields.io/github/issues-raw/opengento/magento2-gdpr.svg?style=flat-square)](https://github.com/opengento/magento2-gdpr/issues)
[![GitHub closed issues](https://img.shields.io/github/issues-closed-raw/opengento/magento2-gdpr.svg?style=flat-square)](https://github.com/opengento/magento2-gdpr/issues?q=is%3Aissue+is%3Aclosed)

Raise a new [request](https://github.com/opengento/magento2-gdpr/issues) to the issue tracker.  
Please provide your Magento 2 version and the module version. Explain how to reproduce your issue and what's expected.
